searchNodes=[{"doc":"Elixir/Erlang bindings to the olm and megolm cryptographic ratchets.","ref":"Olm.html","title":"Olm","type":"module"},{"doc":"The version number of the Olm C library.","ref":"Olm.html#version/0","title":"Olm.version/0","type":"function"},{"doc":"Functions for working with Olm Accounts.","ref":"Olm.Account.html","title":"Olm.Account","type":"module"},{"doc":"Creates a new account.","ref":"Olm.Account.html#create/0","title":"Olm.Account.create/0","type":"function"},{"doc":"Generates a number of new one time keys.","ref":"Olm.Account.html#generate_one_time_keys/3","title":"Olm.Account.generate_one_time_keys/3","type":"function"},{"doc":"Returns the public parts of the identity keys for the account.","ref":"Olm.Account.html#identity_keys/1","title":"Olm.Account.identity_keys/1","type":"function"},{"doc":"Marks the current set of one time keys as being published.","ref":"Olm.Account.html#mark_keys_as_published/1","title":"Olm.Account.mark_keys_as_published/1","type":"function"},{"doc":"The largest number of one time keys this account can store.","ref":"Olm.Account.html#max_one_time_keys/1","title":"Olm.Account.max_one_time_keys/1","type":"function"},{"doc":"Returns the public parts of the unpublished one time keys for the account.","ref":"Olm.Account.html#one_time_keys/1","title":"Olm.Account.one_time_keys/1","type":"function"},{"doc":"Stores an account as a base64 string. Encrypts the account using the supplied key.","ref":"Olm.Account.html#pickle/2","title":"Olm.Account.pickle/2","type":"function"},{"doc":"Removes the one time keys that the session used from the account.","ref":"Olm.Account.html#remove_one_time_keys/2","title":"Olm.Account.remove_one_time_keys/2","type":"function"},{"doc":"Signs a message with the ed25519 key for this account.","ref":"Olm.Account.html#sign/2","title":"Olm.Account.sign/2","type":"function"},{"doc":"Loads an account from a pickled base64 string. Decrypts the account using the supplied key.","ref":"Olm.Account.html#unpickle/2","title":"Olm.Account.unpickle/2","type":"function"},{"doc":"Functions for working with Olm Sessions.","ref":"Olm.Session.html","title":"Olm.Session","type":"module"},{"doc":"Decrypts a message using the session.","ref":"Olm.Session.html#decrypt_message/3","title":"Olm.Session.decrypt_message/3","type":"function"},{"doc":"Encrypts a message using the session.","ref":"Olm.Session.html#encrypt_message/2","title":"Olm.Session.encrypt_message/2","type":"function"},{"doc":"An identifier for this session. Will be the same for both ends of the conversation.","ref":"Olm.Session.html#id/1","title":"Olm.Session.id/1","type":"function"},{"doc":"Checks if the pre key message is for this in-bound session.","ref":"Olm.Session.html#match_inbound/2","title":"Olm.Session.match_inbound/2","type":"function"},{"doc":"Checks if the pre key message is for this in-bound session and includes an identity key check.","ref":"Olm.Session.html#match_inbound/3","title":"Olm.Session.match_inbound/3","type":"function"},{"doc":"Creates a new in-bound session for sending/receiving messages from an incoming pre key message.","ref":"Olm.Session.html#new_inbound/2","title":"Olm.Session.new_inbound/2","type":"function"},{"doc":"Creates a new in-bound session for sending/receiving messages from an incoming pre key message and includes an identity key check.","ref":"Olm.Session.html#new_inbound/3","title":"Olm.Session.new_inbound/3","type":"function"},{"doc":"Creates a new out-bound session for sending messages to a given peer identity key and one time key.","ref":"Olm.Session.html#new_outbound/3","title":"Olm.Session.new_outbound/3","type":"function"},{"doc":"Stores a session as a base64 string.","ref":"Olm.Session.html#pickle/2","title":"Olm.Session.pickle/2","type":"function"},{"doc":"Loads a session from a pickled base64 string.","ref":"Olm.Session.html#unpickle/2","title":"Olm.Session.unpickle/2","type":"function"},{"doc":"Olm Utility functions.","ref":"Olm.Utility.html","title":"Olm.Utility","type":"module"},{"doc":"Calculates the SHA-256 hash of the input and encodes it as base64.","ref":"Olm.Utility.html#sha256/1","title":"Olm.Utility.sha256/1","type":"function"},{"doc":"Verifies an ed25519 signature.","ref":"Olm.Utility.html#verify_ed25519/3","title":"Olm.Utility.verify_ed25519/3","type":"function"},{"doc":"","ref":"Olm.NIFError.html","title":"Olm.NIFError","type":"exception"},{"doc":"OlmElixir wrapper for Olm.","ref":"readme.html","title":"Olm","type":"extras"},{"doc":"Olm is a native C library. The library is packaged by several distributions.On Debian one can install it like so:apt install libolm-devOn Darwin: brew install libolmNOTE: one must set the ERL_ROOT environment var, usually /usr/local/lib/erlang/erts-versionOnce this is done, the package can be installed by adding olm to your list of dependencies in mix.exs:def deps do [ {:olm, &quot;~&gt; 0.1.0-rc&quot;} ] endThe docs can be found at https://hexdocs.pm/olm.","ref":"readme.html#installation","title":"Olm - Installation","type":"extras"}]